Subject: Re: CASE TRACRORS

From: [email-masked] (Don Bowen)
Date: 20 Sep 1995 14:18:45 GMT

In article <[email-masked]>, Phill Williams <[email-masked]> says:
>
>Does anyone know where I can obtain information on the Net on Case 
>Tractors, particularly spare parts. Any info would be appreciated.
>P Williams
>
There is an antique tractor mail list.  To join send a message to
[email-masked] with the word subscribe
as the message.